; Akeeba Upload to S3 post processing engine
; Copyright (c)2006-2015 Nicholas K. Dionysopoulos
; Version $Id$

; Engine information
[_information]
title=ENGINE_POSTPROC_S3LEGACY_TITLE
description=ENGINE_POSTPROC_S3LEGACY_DESCRIPTION

; Post-process after generating each part?
[engine.postproc.common.after_part]
default=0
type=bool
title=CONFIG_POSTPROCPARTS_TITLE
description=CONFIG_POSTPROCPARTS_DESCRIPTION

; Delete from server after processing?
[engine.postproc.common.delete_after]
default=1
type=bool
title=CONFIG_DELETEAFTER_TITLE
description=CONFIG_DELETEAFTER_DESCRIPTION

; Amazon S3 Access key
[engine.postproc.s3.accesskey]
default=""
type=string
title=CONFIG_S3ACCESSKEY_TITLE
description=CONFIG_S3ACCESSKEY_DESCRIPTION

; Amazon S3 Secret key
[engine.postproc.s3.secretkey]
default=""
type=password
title=CONFIG_S3SECRETKEY_TITLE
description=CONFIG_S3SECRETKEY_DESCRIPTION

; Amazon S3 use SSL
[engine.postproc.s3.usessl]
default=0
type=bool
title=CONFIG_S3USESSL_TITLE
description=CONFIG_S3USESSL_DESCRIPTION

; Amazon S3 Bucket Name
[engine.postproc.s3.bucket]
default=""
type=string
title=CONFIG_S3BUCKET_TITLE
description=CONFIG_S3BUCKET_DESCRIPTION

[engine.postproc.s3.lowercase]
default=1
type=bool
title=CONFIG_S3LOWERCASE_TITLE
description=CONFIG_S3LOWERCASE_DESCRIPTION

; Amazon S3 Directory name
[engine.postproc.s3.directory]
default="/"
type=string
title=CONFIG_S3DIRECTORY_TITLE
description=CONFIG_S3DIRECTORY_DESCRIPTION

[engine.postproc.s3.rrs]
default=0
type=bool
title=CONFIG_S3RRS_TITLE
description=CONFIG_S3RRS_DESCRIPTION

[engine.postproc.s3.customendpoint]
default=""
type=string
title=CONFIG_S3CUSTOMENDPOINT_TITLE
description=CONFIG_S3CUSTOMENDPOINT_DESCRIPTION